#ifndef _Queue_H__
#define _Queue_H__
#include "os/os_types.h"

typedef void * co_queue_t;

void *queue_create(u16 queue_count, u16 esize);
bool queue_put(co_queue_t queue, void *data);
bool queue_get(co_queue_t queue, void *data);

#endif /* _Queue_H__ */

